display c(current_time)

**Set Globals**
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"
global create_do "$do_files/Jaselyn/tchsrt/cr_tchsrtdata"
global create_tabs "$do_files/Jaselyn/tchsrt/cr_rr_tables"
global create_resp "$do_files/Jaselyn/tchsrt/cr_responsetabs"

global max_iter = 5
	/*Note:
	$max_iter is used in $create_do/01_VA_Boot.do to set the number of VA estimates calculated. It is also
	used in $create_tabs/02a_Tab2 to determine the number of simulations run, as well as in 05_Tab5 and
	06_Tab6 to set the number of bootstrapping iterations for calculating the standard errors.
	
	In the final paper, this number was 1000 for the first two files and 500 for the last two.
	*/

global contact jtaube2@uic.edu
	/*Note:
	$contact is used to set the email address to which notifications should be sent when certain files
	finish running.
	*/
	
**Create Data**
do "$create_do/00_Master_tchsrtdata.do"

!echo "Teacher Sorting data has been created." | mail -s "Teacher Sorting: Message 1" $contact

**Create Tables
	*Summary Statistics
do "$create_tabs/01_Tab1.do"

	*Actual Patterns of Student Sorting Compared to Random Assignment of Teachers (Table and Figures)
	/* To create Table 2, results must be manually copied from the log file into the Excel spreadsheet. */
do "$create_tabs/02a_Tab2.do"

	*Probability of Assignment to Older Sibling's Teacher 
do "$create_tabs/03_Tab3.do"

!echo "Teacher Sorting simulations have finished." | mail -s "Teacher Sorting: Message 2" $contact

	*Assignment to Older Sibling's Teacher and Student Characteristics
do "$create_tabs/04_Tab4.do"

	*Assignment to Older Sibling's Teacher and Teacher Characteristics
do "$create_tabs/05_Tab5.do"

	*Heterogeneity in Sorting to Older Sibling Teacher Characteristics by Student Demographics
do "$create_tabs/06_Tab6.do"

	*Testing Potential Mechanisms for Sorting to Older Sibling's Teacher
do "$create_tabs/07_Tab7.do"

	*Runs analysis for how many schools show signs of sorting.
do "$create_tabs/08_school-by-school.do"

!echo "Teacher Sorting analyses have finished running." | mail -s "Teacher Sorting: Message 3" $contact
	
**Create Tables for Response
	*Robustness of results for Table 3 to varrying FE choices
do "$create_resp/09_TabR1.do"

	*Robustness of results for Tables 4-6 to varying functional form/FE choices
do "$create_resp/10_RobustTabs.do"

	*Specification check of fixed effects used
do "$create_resp/11_TabB1.do"

!echo "Teacher Sorting robustness tables are completed." | mail -s "Teacher Sorting: Message 4" $contact
	
display c(current_time)
