clear all
version 12
set more off

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

cd "$data"
use finaldata.dta, clear

lab var st_Black "Sibling teacher*Black"
lab var st_Hispanic "Sibling teacher*Hispanic"
lab var st_Other "Sibling teacher*Other race"
lab var st_eds "Sibling teacher*Student is poor"
lab var st_preread "Sibling teacher*Lagged reading score"
lab var st_preread_ltm "Sibling teacher*Low achieving"

display c(current_time)

**Table 4
areg atch any_ostchp eds st_eds propst , absorb(schgryrst) cluster(my)
est store t4a

areg atch any_ostchp preread st_preread propst , absorb(schgryrst) cluster(my)
est store t4b

areg atch any_ostchp preread_ltm st_preread_ltm propst , absorb(schgryrst) cluster(my)
est store t4c

areg atch any_ostchp Black Hispanic Other st_Black st_Hispanic st_Other propst , absorb(schgryrst) cluster(my)
est store t4d

areg atch any_ostchp eds preread_ltm Black Hispanic Other st_eds st_preread_ltm st_Black st_Hispanic st_Other propst , absorb(schgryrst) cluster(my)
est store t4e


set matsize 800, permanently

cd "$tables"
xml_tab t4a t4b t4c t4d t4e, ///
save("Final_RR_Tables.xml") sheet("Table 4") title("Table 4: Heterogeneity in Sorting to Sibling Teachers by Student Characteristics")  replace ///
font("garamond") stats(N)  below keep(st_eds st_preread st_preread_ltm st_Black st_Hispanic st_Other) ///
note("Note:   *** p < 0.01, ** p < 0.05, * p < 0.10. All regressions control for the proportion of students taught by each teacher, and sibling-teacher-by-school-grade-year fixed effects. Each of the regressions in Columns 1-4 also includes the main effect of the relevant student characteristic whereas Column 5 includes all student characteristics and their interactions with the sibling teacher indicator simultaneously. Standard errors are clustered at the student-year level.")


