/*
sysuse auto,clear

**this creates a mastid and year variable so that it exists for the code below.
gen mastid = make
gen year = foreign

**create 1000 value added variable placeholds.
**In the actual code, these variables should be created in the crva file and already merged on before the boot_sib program is run.
forvalues i=1/1000{
	gen va`i' = mpg
}

**create a variable that is a placehold for the actual value added variable that isn't based on a bootstrapped sample.
**In the actual code, this variables should be created in the crva file and already merged on before the boot_sib program is run.
gen va = mpg
*/

*ssc install regsave

cap program drop boot_sib
program define boot_sib
	syntax , spec(string) savecoef(string) va_int(string) n(int) eststo_name(string)

	forvalues i=1/`n' {
	use "$data/finaldata.dta", clear
	
	*Keep variables needed
	drop va any_ostchp_va eds_va nw_va st_nw_va st_eds_va
	keep both_va`i' atch nw eds $regvars $controls schgryrst my
	rename both_va`i' va
	
	foreach var in `va_int' {
		gen `var'_va = `var'*va
	}
		
	bsample , cluster(my)
	`spec'
		
		if `i' == 1{
			display " "
			display "`i'"
			regsave `savecoef' using "$data/results.dta", replace autoid nose
		}
		else {	
			display " "
			display "`i'"
			regsave `savecoef' using "$data/results.dta", append autoid nose
		}

		
		if `i' == 10 | `i' == 100 | `i' == 200 | `i'==250 | `i' == 300 | `i' == 400 | `i' == 499 {
			use "$data/results.dta", clear
			display "Summary of results at iteration `i'"
			foreach cov in `savecoef'{
			summ coef if var == "`cov'"
			}
		}
	
	}
	
use "$data/finaldata.dta", clear
	
preserve

***Now put the standard deviation of the coefficients and store them in the appropriate place in the table.	


use "$data/results.dta", clear
local j=0

display "Specification: `spec'"

foreach cov in `savecoef'{

	summ coef if var == "`cov'"
	local `cov'_se = round(r(sd),0.0001)
	
local j = `j'+1
**create a list of rounded local macros for placement into a matrix.
	if `j'==1{
		local rounded_se_list = "(``cov'_se'"
	}
	else {
		
		local rounded_se_list = "`rounded_se_list', ``cov'_se'"
		}

	
}

		local rounded_se_list = "`rounded_se_list', 9999)"

dis "`rounded_se_list' "


**Add the bootstrapped standard errors to be used in estout


restore

	`spec'
		eststo `eststo_name'


matrix seboot = `rounded_se_list' 


mat colnames seboot = `savecoef' _cons


// add
estadd matrix seboot

// print

**Modify the "estout m1" to "estout m1 using file.csv" in order to save output.

end	


/*
		eststo clear
boot_sib, spec(qui reg price va weight length i.rep78 if headroom>2) savecoef(va weight) n(10) eststo_name(m1) 
boot_sib, spec(qui reg price va ) savecoef(va) n(10) eststo_name(m2) 
boot_sib, spec(qui reg price va weight length) savecoef(va weight length) n(10) eststo_name(m3) 

estout m1 m2 m3, cells(b(fmt(4)) seboot(par fmt(4))) keep(va weight length)
*/

