clear all
version 12
set more off
cap log close

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*
This do-file creates the panel data which is student-by-grade-by-year-by-potential-teacher.
*/

cd "$data"
use data_rr_1a.dta, clear

keep year grade teachid schlcode_fl lea_r
sort lea_r schlcode_fl year grade

duplicates drop

display _N

bys lea_r schlcode_fl grade year: egen n_tch = count(teachid)
lab var n_tch "Number of teachers in SGY"
tab n_tch

sort lea_r schlcode_fl grade year teachid

***Make the data wide, then merge with student data and make long***
forval tch = 1/22 {
	bys lea_r schlcode_fl grade year: gen ptch_`tch' = teachid if _n == `tch'
	bys lea_r schlcode_fl grade year: egen ptch`tch' = max(ptch_`tch')
	drop ptch_`tch'
}

drop teachid

/*Drop schools with more than 10 teachers in any school-grade-year*/
gen lotstch = (n_tch > 10)
bys lea_r schlcode_fl grade year: egen sgy_lotstch = max(lotstch)
bys lea_r schlcode_fl grade: egen sg_lotstch = max(sgy_lotstch)
bys lea_r schlcode_fl: egen any_lotstch = max(sgy_lotstch)

lab var any_lotstch "Dropped a sg if any year had more than 10 teachers in that sg"

drop if sg_lotstch == 1
drop lotstch sgy_lotstch sg_lotstch ptch11-ptch22

duplicates report
duplicates drop

**Observations are now unique by school-grade-year. Save the data, then merge in student data before making long.

sa "$data/panel_rr_1a.dta", replace

merge 1:m lea_r schlcode_fl grade year using "$data/data_rr_1a"

egen st_sgy = group(lea_r schlcode_fl grade year mastid)
drop if st_sgy == .
**All missing values are due to missing lea_r. There are only 25 such observations out of over 1.2 million

reshape long ptch, i(st_sgy) j(tch_num)

drop if ptch == .

sa "$data/panel1_rr_1a.dta", replace

