clear all
version 12
set more off

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

cd "$data"
use final_1a.dta, clear

drop va1000-va

sort ptch

	cd "$data"
	
	merge m:1 ptch using tchr_va_boot_total.dta,gen(merge_va)

ren both_va va

*Poor School variable*
gen poor_schl = 1 - rich_schl


*Keep needed variables and create va interactions
keep both_va* va atch ptch any_ostchp propst eds preread_ltm White Black Hispanic Other nw st_eds st_preread_ltm st_Black st_Hispanic st_Other st_nw expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts eds_expgt3i eds_more_than_BA eds_nbpts nw_expgt3i nw_more_than_BA nw_nbpts la_expgt3i la_more_than_BA la_nbpts seds_expgt3i seds_more_than_BA seds_nbpts snw_expgt3i snw_more_than_BA snw_nbpts sla_expgt3i sla_more_than_BA sla_nbpts schgryrst my poor_schl real_match kid_obs lea_r schlcode_fl grade year mastid cumul_propst lag_cumul_propst n_tch preread st_preread pct agegap_fs st_agegap_fs rgain_fs st_rgain_fs lagscore_fs st_lagscore_fs multiyrs_ptch st_multiyrs_ptch long_time st_long_time scoregap st_scoregap tch_rblack st_tch_rblack black_int st_black_int schgryr schgryrst

foreach var in va {
g any_ostchp_`var' = any_ostchp*`var'
g st_eds_`var' = any_ostchp*eds*`var'
g st_preread_ltm_`var' = any_ostchp*preread_ltm*`var'
g st_nw_`var' = any_ostchp*nw*`var'
g eds_`var' = eds*`var'
g nw_`var' = nw*`var'
g preread_ltm_`var' = preread_ltm*`var'
}

*Poor School Interactions
gen st_poor_schl = any_ostchp*poor_schl
gen sp_eds = st_poor_schl*eds
gen st_poor_schl_va = st_poor_schl*va
gen sp_eds_va = sp_eds*va
gen p_eds = poor_schl*eds
gen poor_schl_va = poor_schl*va

* VA indicator
gen va_gtm = (va > 0) if va != . 


global controls propst eds preread_ltm Black Hispanic Other st_eds st_preread_ltm st_Black st_Hispanic st_Other
areg atch any_ostchp eds va eds_va st_eds any_ostchp_va st_eds_va poor_schl st_poor_schl preread_ltm nw expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts eds_expgt3i eds_more_than_BA eds_nbpts seds_expgt3i seds_more_than_BA seds_nbpts $controls if n_tch > 1, absorb(schgryrst) cluster(my)
keep if e(sample)==1

cd "$data"
sa finaldata.dta, replace

 

