
clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

****************************************
INPUT FILES:  mb_2008.dta -- mb_2012.dta

OUTPUT FILES: mb_files8_12.dta

*will first stack these file on top the of EOG 1995-2007 and merge wiht sibling info
****************************************



cd "$raw"
cd student
cd mbuild

local varlist="mastid ma_score rd_score ma_test_id rd_test_id grade ma_test_id schlcode lea sex "
local pre="mp_score rp_score mp_exemption_code rp_exemption_code mp_test_id rp_test_id"
local exempt="ma_exemption_code rd_exemption_code "

cd "$raw"
cd student
cd mbuild

use ma_test_date rd_test_date eds ec ethnic lep_current pared `varlist' `pre' `exempt' using mb_2008_pub.dta,clear
* test date variable
replace ma_test_date="05012008" if ma_test_date=="20080501"
replace ma_test_date="06012008" if ma_test_date=="20080601"
replace ma_test_date="NULL"              if ma_test_date=="20080501"
replace rd_test_date="05012008" if rd_test_date=="20080501"
replace rd_test_date="06012008" if rd_test_date=="20080601"
replace rd_test_date="NULL"              if rd_test_date=="20080501"

gen ma_test_dt=date(ma_test_date, "MDY")
format ma_test_dt %td
gen rd_test_dt=date(rd_test_date, "MDY")
format rd_test_dt %td

drop ma_test_date rd_test_date
rename ma_test_dt ma_test_date
rename rd_test_dt rd_test_date

gen     lep_flag=1 if lep_current=="Y"
replace lep_flag=0 if lep_current=="N"

gen studentvalid=1
gen invalidreason=0

rename ec except
 
qui replace studentvalid=0 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
qui replace invalidreason=4 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
* alternative assessment
qui replace studentvalid=0 if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
						
qui replace invalidreason=6  if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
							
qui replace studentvalid=0 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
							
qui replace invalidreason=7 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
						    							
destring ma_score rd_score mp_score rp_score,replace force
rename ma_score mathscal
rename rd_score readscal
rename mp_score ma_pretest
rename rp_score rd_pretest

	dis "Making parental education consistent across years"
				qui gen high_drop=0
						label var high_drop "Parent is High School Dropout"
				qui gen high_grad=0
						label var high_grad "Parent is High School Graduate"
				qui gen some_coll=0
						label var some_coll "Parent has some college (or vocational)"
				qui gen coll_grad=0
						label var coll_grad "Parent is College graduate"
				qui gen ma_grad=0
						label var ma_grad "Parent has graduate degree"
						
			qui replace high_drop=1 if pared=="1"
			qui replace high_grad=1 if pared=="2"
			qui replace some_coll=1 if pared=="3" | pared=="4" | pared=="5"
			qui replace coll_grad=1 if pared=="6"
			qui replace ma_grad=1 if pared=="7"		

foreach x of var high_drop high_grad some_coll coll_grad ma_grad{
	replace `x'=. if pared=="."
	}
	
gen year=2008	
	
cd $data
cd MB
save mb2008,replace

forvalues j=2009/2009{
cd "$raw"
cd student
cd mbuild
use ma_test_date rd_test_date eds frl reporting_year ec_code minority_code lep collection_code lep_reading_exempt `varlist' `pre' `exempt' using mb_`j'_pub.dta,clear

replace rd_test_date=subinstr(rd_test_date, "2009", " " ,1)
replace ma_test_date=subinstr(ma_test_date, "2009", " " ,1)

replace rd_test_date= rd_test_date + "2009" if rd_test_date!="NULL"
replace ma_test_date= ma_test_date + "2009" if ma_test_date!="NULL"

replace rd_test_date= "." if rd_test_date=="NULL"
replace ma_test_date= "." if ma_test_date=="NULL"

         
*test date variable
gen ma_test_dt=date(ma_test_date, "MDY")
format ma_test_dt %td
gen rd_test_dt=date(rd_test_date, "MDY")
format rd_test_dt %td

drop ma_test_date rd_test_date
rename ma_test_dt ma_test_date
rename rd_test_dt rd_test_date


rename ec_code except
rename minority_code ethnic
rename reporting_year year

replace frl="." if frl=="NULL"
destring frl, replace

gen lunch= 1 if frl<4 & frl!=.
replace lunch =0 if frl==4
label var lunch "Student on free or reduced lunch"

gen     lep_flag=1 if lep=="Y"
replace lep_flag=0 if lep=="N"

gen studentvalid=1
gen invalidreason=0

* disablity
qui replace studentvalid=0 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
qui replace invalidreason=4 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
* alternative assessment
qui replace studentvalid=0 if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
						
qui replace invalidreason=6  if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
							
qui replace studentvalid=0 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
							
qui replace invalidreason=7 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"


destring year ma_score rd_score mp_score rp_score,replace force
rename ma_score mathscal
rename rd_score readscal
rename mp_score ma_pretest
rename rp_score rd_pretest

drop frl
cd $data
cd MB
save mb`j',replace
}

cd "$raw"
cd student
cd mbuild

local varlist="mastid ma_scoren rd_scoren ma_test_id rd_test_id grade ma_test_id schlcode lea sex "
local pre="mp_score rp_score mp_exemption_code rp_exemption_code mp_test_id rp_test_id"
local exempt="ma_exemption_code rd_exemption_code "

forvalues j=2010/2010{
cd "$raw"
cd student
cd mbuild

use ma_test_dt rd_test_dt eds frl reporting_year ec_code ethnic lep collection_code `varlist' `exempt' using mb_`j'_pub.dta,clear

destring frl, replace

rename ma_test_dt ma_test_date
rename rd_test_dt rd_test_date
format ma_test_date %tdMonth_dd_CCYY
format rd_test_date %tdMonth_dd_CCYY

rename ec_code except
rename ethnicity ethnic
rename reporting_year year

gen     lep_flag=1 if lep=="Y"
replace lep_flag=0 if lep=="N"

gen lunch= 1 if frl<4 & frl!=.
replace lunch =0 if frl==4
label var lunch "Student on free or reduced lunch"

gen studentvalid=1
gen invalidreason=0

*disability
qui replace studentvalid=0 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
qui replace invalidreason=4 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
* alternative assessment
qui replace studentvalid=0 if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
						
qui replace invalidreason=6  if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
							
qui replace studentvalid=0 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
							
qui replace invalidreason=7 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"


destring year ma_score rd_score ,replace force
rename ma_score mathscal
rename rd_score readscal

drop frl
cd $data
cd MB
save mb`j',replace
}

forvalues j=2011/2011{
cd "$raw"
cd student
cd mbuild

use ma_test_dt rd_test_dt eds frl reporting_year ec_code ethnicity lep collection_code `varlist'  `exempt' using mb_`j'_pub.dta,clear

destring frl, replace

rename ma_test_dt ma_test_date
rename rd_test_dt rd_test_date
format ma_test_date %tdMonth_dd_CCYY
format rd_test_date %tdMonth_dd_CCYY

rename ec_code except
rename ethnicity ethnic
rename reporting_year year

gen     lep_flag=1 if lep=="Y"
replace lep_flag=0 if lep=="N"

gen lunch= 1 if frl<4 & frl!=.
replace lunch =0 if frl==4
label var lunch "Student on free or reduced lunch"


gen studentvalid=1
gen invalidreason=0

*disability 
qui replace studentvalid=0 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
qui replace invalidreason=4 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
*alternative assessment
qui replace studentvalid=0 if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
						
qui replace invalidreason=6  if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
							
qui replace studentvalid=0 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
							
qui replace invalidreason=7 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"


destring year ma_score rd_score ,replace force
rename ma_score mathscal
rename rd_score readscal


cd $data
cd MB
save mb`j',replace
}

forvalues j=2012/2012{
cd "$raw"
cd student
cd mbuild
use ma_test_dt rd_test_dt eds frl reporting_year ec_code ethnicity lep collection_code `varlist' `exempt' using mb_`j'_pub.dta,clear
destring frl, replace

rename ma_test_dt ma_test_date
rename rd_test_dt rd_test_date
format ma_test_date %tdMonth_dd_CCYY
format rd_test_date %tdMonth_dd_CCYY

gen right_ma_testdt= 1 if ma_test_date==td(10jun2012) | ma_test_date==td(01jun2012) ///
			  | ma_test_date==td(14may2012) | ma_test_date==td(10may2012) ///
			  | ma_test_date==td(10may2012) | ma_test_date==td(09may2012) ///
			  | ma_test_date==td(02may2012) | ma_test_date==td(01may2012)
replace right_ma_testdt=0 if right_ma_testdt==.
replace right_ma_testdt=. if ma_test_date==.			  
			
gen right_rd_testdt= 1 if rd_test_date==td(10jun2012) | rd_test_date==td(01jun2012) ///
			  | rd_test_date==td(14may2012) | rd_test_date==td(10may2012) ///
			  | rd_test_date==td(10may2012) | rd_test_date==td(09may2012) ///
			  | rd_test_date==td(02may2012) | rd_test_date==td(01may2012)
replace right_rd_testdt=0 if right_rd_testdt==.
replace right_rd_testdt=. if rd_test_date==.		

rename ec_code except
rename ethnicity ethnic
rename reporting_year year

gen     lep_flag=1 if lep=="Y"
replace lep_flag=0 if lep=="N"

gen lunch= 1 if frl<4 & frl!=.
replace lunch =0 if frl==4
label var lunch "Student on free or reduced lunch"

gen studentvalid=1
gen invalidreason=0

*disability 
qui replace studentvalid=0 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
qui replace invalidreason=4 if except=="AU" | except=="DB" |except=="DF" | except=="MU" ///
							| except=="OI" | except=="TB" | except=="VI"
							
* alternative assessment
qui replace studentvalid=0 if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
						
qui replace invalidreason=6  if ma_test_id!="MA03" | ma_test_id!="MA04" | ma_test_id!="MA05" ///
							| ma_test_id!="MA06" | ma_test_id!="MA07" | ma_test_id!="MA08"
							
qui replace studentvalid=0 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"
							
qui replace invalidreason=7 if rd_test_id!="RD03" | rd_test_id!="RD04" | rd_test_id!="RD05" ///
							| rd_test_id!="RD06" | rd_test_id!="RD07" | rd_test_id!="RD08"


destring year ma_score rd_score ,replace force
rename ma_score mathscal
rename rd_score readscal
drop frl

cd $data
cd MB
save mb`j',replace
}

clear all
cd $data
cd MB
use mb2008.dta,clear
	forvalues i=2009/2012{
	append using mb`i'.dta
	}

drop pared
drop lep lep_current 
drop if mastid==.
duplicates report *
duplicates drop *, force

*drop unnecessary grades
drop if grade=="02" | grade=="09" | grade=="10" | grade=="11" | grade=="12" | grade=="13" | grade=="21" | grade=="NU"

duplicates tag mastid lea schlcode year, gen(dup_same_schlyr) 
duplicates tag mastid lea schlcode year grade, gen(dup_same_schlgryr)

destring grade, replace

save mb2008_2012.dta, replace
