clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*coursemembership files 2007-2012 and appending them
  into one */
cd $raw
cd student
cd coursememb
use crs_memb_pub2007.dta, clear

forvalues i=2008/2012 {
	append using crs_memb_pub`i'.dta
	}
cd $data

/*For reporting years 2007 and 2008 number of students in classroom was saved
  under variable numstudents, and for later years it was stored under nstudents.
  Replacing number of students 2007/2008 with in with the later years variable */

destring reporting_year nstudents numstudents, replace  
replace nstudents =numstudents if reporting_year==2007 | reporting_year==2008

destring grade, replace force
destring semester,replace force

replace sex="1" if sex=="M"
replace sex="0" if sex=="F"

destring sex, replace
label define lblsex 0 "female" 1 "male"
la val sex lblsex 

replace ethnic= "1" if ethnic=="I"
replace ethnic= "2" if ethnic=="A"
replace ethnic= "3" if ethnic=="H"
replace ethnic= "4" if ethnic=="B"
replace ethnic= "5" if ethnic=="W"
replace ethnic= "6" if ethnic=="M"
replace ethnic= "7" if ethnic=="P"

destring ethnic, replace force
label define lblethinc 1 "American Indian" 2 "Asian" 3 "Hispanic" 4 "Black" ///
                       5 "White" 6 "Multi-Racial" 7 "Pacific Islander"
la val ethnic lblethnic

*make ethnicity dummies
tab ethnic, gen(dethnic)
rename dethnic1 american_indian
rename dethnic2 asian
rename dethnic3 hispanic
rename dethnic4 black
rename dethnic5 white
rename dethnic6 multi_race
rename dethnic7 pacific_islander

rename reporting_year year

drop if mastid==.

save 1crs_memb2007_2012.dta, replace

	
