clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*
	INPUT: tests_sib_gr03_08_yr06_12.dta
	3rd-5th graders in years 06-12	
		OUTPUT: stdtests_gr3_8_yr07_12.dta

*/	

cd $data
use tests_gr03_08_yr06_12.dta, clear

gen mathtest_valid=0
replace mathtest_valid=1 if ma_test_id=="MA03" & year>2007 | ma_test_id=="MA04" & year>2007 | ma_test_id=="MA05" & year>2007	///
                           | ma_test_id=="MA06" & year>2007 | ma_test_id=="MA07" & year>2007 | ma_test_id=="MA08" & year>2007
replace mathtest_valid=1 if studentvalid!=6 & year<2008 | studentvalid!=5 & year<2008
replace mathtest_valid=0 if mathscal==. & year<2008
	label var mathtest_valid "Mathscore comes from a valid test"

gen readtest_valid=0
replace readtest_valid=1 if rd_test_id=="RD03" & year>2007 | rd_test_id=="RD04" & year>2007 | rd_test_id=="RD05" & year>2007 ///
                          | rd_test_id=="RD06" & year>2007 | rd_test_id=="RD07" & year>2007 | rd_test_id=="RD08" & year>2007 
replace readtest_valid=1 if studentvalid!=7 & year<2008 | studentvalid!=5 & year<2008
replace readtest_valid=0 if readscal==. & year<2008
	label var readtest_valid "Readscore comes from a valid test"
	
gen year_minus1=year-1

foreach subj in "math" "read"{
egen mean_yr_grd_`subj'=mean(`subj'scal) if `subj'test_valid==1,by(year grade)
egen sd_yr_grd_`subj'=sd(`subj'scal) if `subj'test_valid==1,by(year grade)

dis "              Standardizing `subj' Scores"
gen `subj'=(`subj'scal-mean_yr_grd_`subj')/sd_yr_grd_`subj'
drop mean_yr_grd_`subj' sd_yr_grd_`subj' 

}
label var math "standardized math test"
label var read "standardized reading test"

drop if year==2006

drop dup_m_y year_minus1 rp_test_id rp_exemption_code rd_pretest ///
     mp_test_id mp_exemption_code ma_pretest mamiss_tsdt rdmiss_tsdt ///
     nonvread nonvmath mathscal readscal

cd $data
save stdtests_gr3_8_yr07_12.dta, replace
