clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/* create controls used in VA creation	*/
		
cd $raw
cd student
cd coursememb

use crs_memb_pub2007.dta, clear
append using crs_memb_pub2008.dta
append using crs_memb_pub2009.dta
append using crs_memb_pub2010.dta
append using crs_memb_pub2011.dta
append using crs_memb_pub2012.dta

keep mastid birthdt reporting_year

duplicates drop *, force

drop if mastid==.

duplicates drop mastid birthdt  , force

sort mastid reporting_year
duplicates tag mastid, gen(dp)
tab dp


drop if dp>0
drop dp

drop reporting_year

duplicates drop *, force



cd $data
save birthdates.dta, replace 

	
use ${data}/stdtests_gr3_8_yr07_12.dta,clear

g schlcode_fl =real(schlcode)

gen lea_r = real(lea)
replace lea_r = 1001 if lea=="32B"
replace lea_r = 1002 if lea=="60D"
replace lea_r = 1003 if lea=="10A"
replace lea_r = 1004 if lea=="81A"
replace lea_r = 1005 if lea=="19B"
replace lea_r = 1006 if lea=="86T"
replace lea_r = 1007 if lea=="49E"
replace lea_r = 1008 if lea=="92N"
replace lea_r = 1009 if lea=="65A"
replace lea_r = 1010 if lea=="60I"
replace lea_r = 1011 if lea=="92F"
replace lea_r = 1012 if lea=="63B"
replace lea_r = 1013 if lea=="92D"
replace lea_r = 1014 if lea=="92E"
replace lea_r = 1015 if lea=="41B"
replace lea_r = 1016 if lea=="32L"
replace lea_r = 1017 if lea=="32K"
replace lea_r = 1018 if lea=="63A"
replace lea_r = 1019 if lea=="92G"
replace lea_r = 1020 if lea=="32D"
replace lea_r = 1021 if lea=="90A"
replace lea_r = 1022 if lea=="07A"
replace lea_r = 1023 if lea=="11A"
replace lea_r = 1024 if lea=="92S"
replace lea_r = 1025 if lea=="45A"
replace lea_r = 1026 if lea=="60L"
replace lea_r = 1027 if lea=="11B"
replace lea_r = 1028 if lea=="69A"
replace lea_r = 1029 if lea=="19A"
replace lea_r = 1030 if lea=="93A"
replace lea_r = 1031 if lea=="49B"
replace lea_r = 1032 if lea=="32A"
replace lea_r = 1033 if lea=="60K"
replace lea_r = 1034 if lea=="51A"
replace lea_r = 1035 if lea=="60J"
replace lea_r = 1036 if lea=="92B"
replace lea_r = 1037 if lea=="98A"
replace lea_r = 1038 if lea=="36B"
replace lea_r = 1039 if lea=="13A"
replace lea_r = 1040 if lea=="64A"
replace lea_r = 1041 if lea=="34C"
replace lea_r = 1042 if lea=="60B"
replace lea_r = 1043 if lea=="01B"
replace lea_r = 1044 if lea=="01C"
replace lea_r = 1045 if lea=="60G"
replace lea_r = 1046 if lea=="92R"
replace lea_r = 1047 if lea=="54B"
replace lea_r = 1048 if lea=="55A"
replace lea_r = 1049 if lea=="49D"
replace lea_r = 1050 if lea=="41C"
replace lea_r = 1051 if lea=="92Q"
replace lea_r = 1052 if lea=="34B"
replace lea_r = 1053 if lea=="34D"
replace lea_r = 1054 if lea=="73A"
replace lea_r = 1055 if lea=="92M"
replace lea_r = 1056 if lea=="36A"
replace lea_r = 1057 if lea=="79A"
replace lea_r = 1058 if lea=="36C"
replace lea_r = 1059 if lea=="91A"
replace lea_r = 1060 if lea=="78A"
replace lea_r = 1061 if lea=="88A"
replace lea_r = 1062 if lea=="32H"
replace lea_r = 1063 if lea=="73B"
replace lea_r = 1064 if lea=="54A"
replace lea_r = 1065 if lea=="50A"
replace lea_r = 1066 if lea=="20A"
replace lea_r = 1067 if lea=="86A"
replace lea_r = 1068 if lea=="97D"
replace lea_r = 1069 if lea=="60F"
replace lea_r = 1070 if lea=="68A"
replace lea_r = 1071 if lea=="06B"
replace lea_r = 1072 if lea=="34G"
replace lea_r = 1073 if lea=="96C"
replace lea_r = 1074 if lea=="34F"
replace lea_r = 1075 if lea=="16B"
replace lea_r = 1076 if lea=="60C"
replace lea_r = 1077 if lea=="65B"
replace lea_r = 1078 if lea=="87A"
replace lea_r = 1079 if lea=="95A"
replace lea_r = 1080 if lea=="11K"
replace lea_r = 1081 if lea=="26B"
replace lea_r = 1082 if lea=="24N"
replace lea_r = 1083 if lea=="32C"
replace lea_r = 1084 if lea=="92I"
replace lea_r = 1085 if lea=="81B"
replace lea_r = 1086 if lea=="91B"
replace lea_r = 1087 if lea=="35A"
replace lea_r = 1088 if lea=="60A"
replace lea_r = 1089 if lea=="41D"
replace lea_r = 1090 if lea=="66A"
replace lea_r = 1091 if lea=="41F"
replace lea_r = 1092 if lea=="01D"
replace lea_r = 1093 if lea=="92L"
replace lea_r = 1094 if lea=="12A"

egen sfe = group(schlcode_fl lea_r)
egen schgryr=group(schlcode_fl lea_r year grade)

cd $data
sort mastid
merge m:1 mastid using birthdates.dta

drop if _merge==2

replace birthdt=bdate if year==2007 & birthdt==.
egen    birth=max(birthdt), by(mastid)
 
drop bdate birthdt
rename birth birthdt 

drop _merge


*Student covariates
cd $data
sort mastid year
merge 1:1 mastid year using frl_2007.dta

drop if _merge==2
rename eds economic
gen     eds=1 if economic=="Y"
replace eds=0 if economic=="N"
replace eds=frl if year==2007

drop economic frl _merge

*ETHNICITY							  
gen Black   =(ethnic=="B" | ethnic=="BLCK" | ethnic=="4") if !missing(ethnic)
gen White   =(ethnic=="W" | ethnic=="WHTE" | ethnic=="5") if !missing(ethnic)
gen Hispanic=(ethnic=="H" | ethnic=="HISP" | ethnic=="3") if !missing(ethnic)
gen Other   =(ethnic=="I" | ethnic=="M" | ethnic=="A" | ethnic=="P" | ethnic=="AMIN" | ethnic=="ASIA" | ethnic=="MULT" | ethnic=="1" | ethnic=="2" | ethnic=="6") ///
              if !missing(ethnic)
	      
foreach x in "Black" "White" "Hispanic" {
	label var `x' "ethnicity of student is `x'"
	}
	label var Other "ethincity of student is either Asian, Indian America, Pacific Islander, or Multi-ethnic"
	
*SEX
gen Male   =(sex=="M") if !missing(sex)
gen Female =(sex=="F") if !missing(sex)
	label var Male   "sex of student"
	label var Female "sex of student"
		      
*DISABILITY STATUS
gen notdisabled=(except=="01" | except=="NULL") if !missing(except)
gen disabled  =(notdisabled==0) if !missing(notdisabled)
	label var disabled "student is characterized with a disability"
	
*AGE
gen Age=(ma_test_date-birthdt)/365 if right_ma_testdt!=0
	label var Age "Age in years at time of testing of student"
egen   mode_mtst_date=mode(ma_test_date) if right_ma_testdt!=0 & ma_test_date!=., by(lea_r schlcode_fl year grade)
format mode_mtst_date %td

tab mode_mtst_date if Age==. & birthdt!=.

tostring year, gen(year_)
gen    str May_date="15May"+ year_
gen    may15ref=date(May_date, "DMY")
format may15ref %td

replace Age=(may15ref-birthdt)/365 if Age==.	

*REPEAT GRADE
gen year_minus1=year-1
sort mastid year
by   mastid:gen grade_lastyr=grade[_n-1] if year[_n-1]==year_minus1 & year_minus1!=. 

gen grade_repeat=(grade_lastyr==grade) if !missing(grade_lastyr)
label var grade_repeat "student is repeating grade"

sort mastid year
by mastid: gen pregrade_repeat=grade_repeat[_n-1] if year[_n-1]==year_minus1 & year_minus1!=. 
cd $data
save tests_demovar_gr3_8_yr07_12.dta,replace 

****************************************************
*Create lagged scores (excluding pregrade_repeat==1)
foreach subj in math read {
sort mastid year
by mastid: gen pre`subj'=`subj'[_n-1] if year[_n-1]==year_minus1 & year_minus1!=. & pregrade_repeat!=1
}

foreach x of var premath preread{
	g `x'2=`x'^2
	g `x'3=`x'^3
	}


*PRETESTS INTERACTED WITH GRADE DUMMIES 
char grade[omit] 4
xi i.grade|premath i.grade|premath2 i.grade|premath3 , prefix(PREM)
xi i.grade|preread i.grade|preread2 i.grade|preread3 , prefix(PRER)

drop PREMgrade* PRERgrade* 

global listcontrols Black White Hispanic Other Female disabled Age eds lep_flag grade_repeat

foreach x in $listcontrols {

	egen SY_`x'=mean(`x') if `x'!=., by(lea_r schlcode_fl year)
	}



drop sex  high_drop high_grad some_coll coll_grad ma_grad rd_test_id ///
     rd_exemption_code ma_test_id ma_exemption_code collection_code lep_reading_exempt ///
     dup_same_schlyr dup_same_schlgryr mode_mtst_date year_minus1 grade_lastyr ///
     year_ administ administ studentvalid invalidreason ///
     notdisabled disabled May_date may15ref 	 
   
cd $data
save controls_VAM.dta, replace     
